Together AI SDK (v2)
from together import Together
client = Together()
volume = client.beta.clusters.storage.update(
volume_id="12345-67890-12345-67890",
size_tib=3
)
print(volume)
import Together from "together-ai";
const client = new Together();
const volume = await client.beta.clusters.storage.update({
volume_id: "12345-67890-12345-67890",
size_tib: 3
});
console.log(volume);
import Together from "together-ai";
const client = new Together();
const volume = await client.beta.clusters.storage.update({
volume_id: "12345-67890-12345-67890",
size_tib: 3
});
console.log(volume);
tg beta clusters storage update <volume_id> --size-tib 3

{
"volume_id": "<string>",
"volume_name": "<string>",
"size_tib": 123
}Storage
Update a shared volume
Update the configuration of an existing shared volume.
PUT
/
compute
/
clusters
/
storage
/
volumes
Together AI SDK (v2)
from together import Together
client = Together()
volume = client.beta.clusters.storage.update(
volume_id="12345-67890-12345-67890",
size_tib=3
)
print(volume)
import Together from "together-ai";
const client = new Together();
const volume = await client.beta.clusters.storage.update({
volume_id: "12345-67890-12345-67890",
size_tib: 3
});
console.log(volume);
import Together from "together-ai";
const client = new Together();
const volume = await client.beta.clusters.storage.update({
volume_id: "12345-67890-12345-67890",
size_tib: 3
});
console.log(volume);
tg beta clusters storage update <volume_id> --size-tib 3

{
"volume_id": "<string>",
"volume_name": "<string>",
"size_tib": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
OK
ID of the volume.
User provided name of the volume.
Size of the volume in TiB.
Current status of the shared volume.
Available options:
scheduled, available, bound, provisioning, deleting, failed, access_revoked, unknown Was this page helpful?
⌘I